import type { Cloudly } from '../classes.cloudly.js';
import * as plugins from '../plugins.js';
import { Authorization } from './classes.authorization.js';
import { User } from './classes.user.js';

export class AuthManager {
  cloudlyRef: Cloudly
  public get db() {
    return this.cloudlyRef.mongodbConnector.smartdataDb;
  }
  public CUser = plugins.smartdata.setDefaultManagerForDoc(this, User);
  public CAuthorization = plugins.smartdata.setDefaultManagerForDoc(this, Authorization);

  constructor(cloudlyRef: Cloudly) {
    this.cloudlyRef = cloudlyRef;
  }
}